# Create a Stripe one-off payment Uses the payment method collected by Stripe Elements to create a one off payment. Endpoint: POST /blaize/payment/stripe/buy Version: 2025-07-30 Security: CookieBlaizeSession, JwtQuery, JwtHeaderXBlaizeJwt, JwtHeaderXZephrJwt, JwtBearer, JwtCookie ## Request fields (application/json): - `product_id` (string, required) Product ID/slug Example: "lifetime-membership" - `price_point_id` (string, required) Price Point ID/slug Example: "gold-package" - `payment_method` (string, required) Payment method from Stripe Elements UI. Example: "pm_123456789" - `payment_intent_id` (string) PaymentIntent ID returned after confirming a card payment. Example: "pi_1GYZYWLgUJT2XNPAYQMomeqf" ## Response 200 fields (application/json): - `grant_id` (string) New grant of product bundle to user Example: "aa583cb8-51d1-4bd9-9ec7-3a43796ef8e5" - `client_secret` (string) Reference to Stripe payment required to process payment in front end. Example: "src_client_secret_QfsM25CJ2uCMon72MiOmUNTj`" - `payment_intent_id` (string) Reference to the payment intent if payment requires confirmation. Example: "pi_1GYZYWLgUJT2XNPAYQMomeqf"